# what it's called on pypi
%global pypi_name outcome
# what it's imported as
%global libname outcome
# name of egg info directory
%global eggname outcome
# package name fragment
%global pkgname outcome

%global _description \
Outcome provides a function for capturing the outcome of a Python function\
call, so that it can be passed around.

%bcond_without tests

Name:       python-%{pkgname}
Version:    1.1.0
Release:    %mkrel 1
Summary:    Capture the outcome of Python function calls
License:    MIT or ASL 2.0
Group:      Development/Python
URL:        https://pypi.org/project/outcome/
Source0:    %pypi_source
BuildArch:  noarch

%description %{_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
Group:      Development/Python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-asyncio
BuildRequires:  python%{python3_pkgversion}-async-generator
BuildRequires:  python%{python3_pkgversion}-attrs
%endif
Requires:       python%{python3_pkgversion}-attrs
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}


%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} --verbose
%endif


%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE LICENSE.MIT LICENSE.APACHE2
%doc README.rst
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Jan 17 2021 guillomovitch <guillomovitch> 1.1.0-1.mga8
+ Revision: 1672170
- imported package python-outcome

